## pam-kwallet 0.0~git20140410

=== CMakeLists.txt ===
project(pam_kwallet)
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )

find_package(PAM REQUIRED)
find_package(LibGcrypt 1.5.0 REQUIRED)

include_directories (
   ${PAM_INCLUDE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
)

set(pam_kwallet_SRCS
   pam_kwallet.c
)

add_library (pam_kwallet SHARED ${pam_kwallet_SRCS})
set_target_properties (pam_kwallet PROPERTIES PREFIX "")
target_link_libraries (pam_kwallet
   ${PAM_LIBRARIES}
   ${LIBGCRYPT_LIBRARIES}
)

install(TARGETS pam_kwallet DESTINATION /lib/${CMAKE_LIBRARY_ARCHITECTURE}/security)

=== debian/changelog ===
pam-kwallet (0.0~git20140410-0ubuntu2.1) trusty; urgency=medium

  * Import upstream patch set to improve reliability and debugability:
    + upstream_Removed-not-needed-strdup.patch
      Remove an unnecessary strdup.
      UBUNTU-ERROR: 30e961156f64c241b58a65ecbb009688e3aeb2ec
      LP: #1314118
    + upstream_If-we-fail-creating-a-directory-log-it-into-syslog.patch
      Adds logging on directory creation failure
    + upstream_If-we-can-t-open-the-file-where-salt-will-be-saved-f.patch
      If the salt file cannot be opened, fail properly instead of running
      into nullptr fd crashes
      UBUNTU-ERROR: ae1ef304fcd7d26e215563c4c95fcb25a74a6559
      LP: #1314119
    + upstream_If-kwallet_hash-fails-return-with-PAM_IGNORE.patch
      When hash creation fails, fail properly instead of allowing for crashes
      later on.
    + upstream_Add-more-checks-against-null-fd.patch
      Adding nullptr checks after selected fopen() and mallocs
      UBUNTU-ERROR: 28ad0356a00142a5ec12fb842f15e18f3fae1a63
      LP: #1314120
    + upstream_Replace-fprintf-with-syslog-and-add-some-extra-ones.patch
      Prefering syslog over fprintf and adding more logging on failure

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 29 Apr 2014 11:12:58 +0200

pam-kwallet (0.0~git20140410-0ubuntu2) trusty; urgency=medium

  * Add upstream_Allocate-one-more-byte-for-slash.patch from upstream to
    prevent PAM crashes on login due to too tiny allocs.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 15 Apr 2014 11:31:14 +0200

pam-kwallet (0.0~git20140410-0ubuntu1) trusty; urgency=medium

  * New git snapshot refining everything to production quality LP: #1305307
  * Add dependency on socat

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 10:38:36 +0200

pam-kwallet (0.0~git20140407-0ubuntu1) trusty; urgency=medium

  * New git snapshot actually installing something...

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 16:59:49 +0200

pam-kwallet (0.0~git20140218-0ubuntu1) trusty; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 13:12:41 +0100

=== debian/control ===
Source: pam-kwallet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9), cmake, libpam0g-dev,
 libgcrypt11-dev
Standards-Version: 3.9.5

Package: pam-kwallet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, socat
Description: KWallet integration with PAM
 Integrated KWallet with PAM so you can log in to open a KWallet.

## pam-kwallet 0.0~git20140429

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 project(pam_kwallet)
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.8)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )
 
 find_package(PAM REQUIRED)
 find_package(LibGcrypt 1.5.0 REQUIRED)
+include(GNUInstallDirs)
 
 include_directories (
    ${PAM_INCLUDE_DIR}
@@ -23,4 +24,4 @@
    ${LIBGCRYPT_LIBRARIES}
 )
 
-install(TARGETS pam_kwallet DESTINATION /lib/${CMAKE_LIBRARY_ARCHITECTURE}/security)
+install(TARGETS pam_kwallet DESTINATION /${CMAKE_INSTALL_LIBDIR}/security)

=== debian/changelog ===
pam-kwallet (0.0~git20140429-0ubuntu2) vivid; urgency=medium

  * No-change rebuild for the libgcrypt20 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Mar 2015 06:17:18 -0600

pam-kwallet (0.0~git20140429-0ubuntu1) utopic; urgency=medium

  * New git snapshot resolving some possible crashers and adding more logging
    UBUNTU-ERROR: 30e961156f64c241b58a65ecbb009688e3aeb2ec
    LP: #1314118
    UBUNTU-ERROR: ae1ef304fcd7d26e215563c4c95fcb25a74a6559
    LP: #1314119
    UBUNTU-ERROR: 28ad0356a00142a5ec12fb842f15e18f3fae1a63
    LP: #1314120
  * Dropping upstream_Allocate-one-more-byte-for-slash.patch, applied in this
    snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 29 Apr 2014 11:32:18 +0200
